View Issue Details

IDProjectCategoryView StatusLast Update
0009609mantisbtbugtrackerpublic2019-10-09 06:52
Reporterck5 Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status acknowledgedResolutionopen 
PlatformPCOSXP Professional 
Product Version1.2.0a2 
Summary0009609: Blank input fields lead to complete loss of typed in data if HTTPS is used
Description

When a required field is left empty and the report form is submitted, there is no way of recovering the submitted data if https is used, as browsers won't save the history information for security reasons.

Steps To Reproduce
  • Access Mantis via https
  • Report a new issue
  • leave a required field blank, fill in some other fields
  • Submit the form
  • go back in History
  • find that the form is empty again (tested in Opera 9, Firefox 3)
Additional Information

This may apply to other forms as well. It would be better if the form would be shown again with the submitted information and an error message above.

TagsNo tags attached.

Relationships

has duplicate 0014406 closedatrol Required field web page reload data loss 
has duplicate 0012492 closedatrol Complete input get lost when timeout or not filling all required fields (when using ssl/https) 
has duplicate 0014804 closeddregad Text Field Input Not Saved If Error Is Encountered 
related to 0011935 closedgrangeway Profile information is lost after 'recheck your inputs' error 

Activities

jreese

jreese

2008-09-10 09:24

reporter   ~0019349

Yes, it would be nice if Mantis specifically handled it better than requiring the browser's back button, but for the time being it's unfortunately not feasible.

vipart

vipart

2013-06-05 07:25

reporter   ~0037102

Is this bug the same as 0012492? Since that bug is closed and doesn't have "Fixed in version" set...

atrol

atrol

2013-06-05 07:43

developer   ~0037104

Have a look at the relationships section.
0012492 is closed as a duplicate of 0009609

dimass

dimass

2019-10-09 06:52

reporter   ~0062968

Very annoying bug :-(

Issue History

Date Modified Username Field Change
2008-09-05 06:33 ck5 New Issue
2008-09-10 09:24 jreese Note Added: 0019349
2008-09-10 09:24 jreese Status new => acknowledged
2012-06-22 06:03 atrol Relationship added has duplicate 0014406
2012-06-22 06:05 atrol Relationship added has duplicate 0012492
2012-10-10 04:37 dregad Relationship added has duplicate 0014804
2012-10-10 04:38 dregad Relationship added related to 0011935
2013-06-05 07:25 vipart Note Added: 0037102
2013-06-05 07:43 atrol Note Added: 0037104
2019-10-09 06:52 dimass Note Added: 0062968